package org.openfdl.text;
// $ANTLR : "OpenFDL.g" -> "FDLTreeParser.java"$

/*
 * OpenFDL Compiler
 * Copyright (C) 2005 Matt Acosta
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */

public interface FDLTreeParserTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int INTLIT = 4;
	int IDENT = 5;
	int COLON = 6;
	int SEMI = 7;
	int LITERAL_var = 8;
	int LITERAL_appvar = 9;
	int LITERAL_func = 10;
	int LITERAL_appfunc = 11;
	int LPAREN = 12;
	int COMMA = 13;
	int RPAREN = 14;
	int LITERAL_pFrame = 15;
	int LITERAL_AppID = 16;
	int TIMES = 17;
	int LITERAL_char = 18;
	int LITERAL_int = 19;
	int LITERAL_long = 20;
	int LITERAL_short = 21;
	int LITERAL_float = 22;
	int LITERAL_double = 23;
	int LITERAL_struct = 24;
	int LITERAL_union = 25;
	int LITERAL_const = 26;
	int LITERAL_unsigned = 27;
	int LITERAL_signed = 28;
	int WS = 29;
	int COMMENT = 30;
	int LBRAKET = 31;
	int RBRAKET = 32;
}
